Обход ограничений безопасности в Xen

Дата публикации:
02.04.2014
Дата изменения:
02.04.2014
Всего просмотров:
569
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:L/AC:L/Au:N/C:N/I:P/A:P/E:U/RL:O/RC:C) = Base:3.6/Temporal:2.7
CVE ID:
CVE-2014-1666
Вектор эксплуатации:
Локальная
Воздействие:
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Xen 4.x
Уязвимые версии: Xen 4.1.5, 4.1.6.1 и 4.2.2, возможно более ранние версии

Описание:
Уязвимость позволяет локальному пользователю обойти ограничения безопасности.

Уязвимость существует из-за того, что приложение неправильно ограничивает доступ к операции "PHYSDEVOP_{prepare,release}_msix" в функции "do_physdev_op()" в файле xen/arch/x86/physdev.c. Локальный пользователь может получить доступ к иным ограниченным действиям и в последствии вызвать отказ в обслуживании хост системы или повысить свои привилегии на системе.

Для успешной эксплуатации уязвимости требуется иметь доступ к гостевой PV (paravirtualised).

URL производителя: http://www.xenproject.org/developers/teams/hypervisor.html

Решение: Установите исправление с сайта производителя.

Ссылки: http://lists.xen.org/archives/html/xen-announce/2014-01/msg00002.html

или введите имя

CAPTCHA